compiz crashed with SIGABRT in raise()

Bug #857738 reported by David Gomes on 2011-09-23
This bug affects 237 people
Affects Status Importance Assigned to Milestone
Compiz
Critical
Sam Spilsbury
Compiz Core
Critical
Sam Spilsbury
Unity
Fix Released
Undecided
Sam Spilsbury
compiz (Ubuntu)
Critical
Sam Spilsbury
unity (Ubuntu)
Undecided
Sam Spilsbury

Bug Description

No idea what happened, it just froze.

ProblemType: Crash
DistroRelease: Ubuntu 11.10
Package: unity 4.16.0-0ubuntu2
ProcVersionSignature: Ubuntu 3.0.0-11.18-generic 3.0.4
Uname: Linux 3.0.0-11-generic x86_64
ApportVersion: 1.23-0ubuntu1
Architecture: amd64
Date: Fri Sep 23 21:25:22 2011
ExecutablePath: /usr/bin/compiz
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20110922)
ProcCmdline: compiz
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
Signal: 6
SourcePackage: unity
StacktraceTop:
 raise () from /lib/x86_64-linux-gnu/libc.so.6
 abort () from /lib/x86_64-linux-gnu/libc.so.6
 ?? () from /lib/x86_64-linux-gnu/libc.so.6
 ?? () from /lib/x86_64-linux-gnu/libc.so.6
 free () from /lib/x86_64-linux-gnu/libc.so.6
Title: compiz crashed with SIGABRT in raise()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

David Gomes (davidgomes) wrote :

StacktraceTop:
 __libc_message (do_abort=2, fmt=0x7f68ed11c0d8 "*** glibc detected *** %s: %s: 0x%s ***\n") at ../sysdeps/unix/sysv/linux/libc_fatal.c:189
 malloc_printerr (action=3, str=0x7f68ed11c278 "double free or corruption (!prev)", ptr=<optimized out>) at malloc.c:6283
 __GI___libc_free (mem=<optimized out>) at malloc.c:3738
 deallocate (__p=0x2164070, this=<optimized out>) at /usr/include/c++/4.6/ext/new_allocator.h:98
 _M_put_node (__p=0x2164070, this=<optimized out>) at /usr/include/c++/4.6/bits/stl_list.h:331

Changed in unity (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity (Ubuntu):
status: New → Confirmed
Jason Smith (jassmith) on 2011-09-30
visibility: private → public
Didier Roche (didrocks) on 2011-09-30
Changed in unity:
status: New → Confirmed
Didier Roche (didrocks) on 2011-09-30
Changed in unity (Ubuntu):
importance: Medium → Critical
tags: added: bugpattern-needed
David Barth (dbarth) on 2011-09-30
Changed in unity:
status: Confirmed → Fix Committed
Changed in unity (Ubuntu):
status: Confirmed → Fix Committed
Changed in unity:
assignee: nobody → Sam Spilsbury (smspillaz)
Changed in unity (Ubuntu):
assignee: nobody → Sam Spilsbury (smspillaz)
Changed in unity:
milestone: none → 4.22.0
Changed in unity (Ubuntu):
milestone: none → ubuntu-11.10

I press F10 to open the Globalmenu and this Bug was happen

morryis (morryis) wrote :

This still happens quite frequently. Sometime some windows are also loosing their window decoration, especially when de-maximizing by double clicking on the unity panel. Doing this a few times leads to the described compiz crash

Rocko (rockorequin) wrote :

I guess we're still waiting on the fix to be released in unity 4.22.0? compiz is crashing at least several times a day here. Sometimes keyboard input stops working so I can't even drop to a tty console and restart lightdm.

evnidetr (pyrotechwannabe) wrote :

Ouch, that sucks Rocko, sorry to hear that. Ditto on multiple crashes a day though. I've also experienced partial keyboard input failure (touchpad and left/right click options, though a wireless mouse fixes that). And morryis, I've noticed compiz crashing most frequently when I de-maximize as well.

Changed in compiz:
status: New → Fix Committed
importance: Undecided → Critical
Changed in compiz-core:
status: New → Fix Committed
Changed in compiz:
assignee: nobody → Sam Spilsbury (smspillaz)
Changed in compiz-core:
importance: Undecided → Critical
milestone: none → 0.9.6
assignee: nobody → Sam Spilsbury (smspillaz)
Didier Roche (didrocks) on 2011-10-04
affects: unity (Ubuntu) → compiz (Ubuntu)
Didier Roche (didrocks) on 2011-10-04
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.6+bzr20110929-0ubuntu3

---------------
compiz (1:0.9.6+bzr20110929-0ubuntu3) oneiric; urgency=low

  * debian/patches/04_fix_insertServerWindow_crash.patch:
    - compiz crashed with SIGSEGV in CompScreen::insertServerWindow()
      (LP: #857487)
  * debian/patches/05_fix_reconfigureXWindow_crash.patch:
    - compiz crashed with SIGABRT in raise() (LP: #857738)
 -- Didier Roche <email address hidden> Tue, 04 Oct 2011 13:49:01 +0200

Changed in compiz (Ubuntu):
status: Fix Committed → Fix Released
Jared (jared-vanvolkenburg) wrote :

@evniter and @Rocko - I have experienced the failure or my touch-pad /mouse and my keyboard not responding at all. The only way to get out of it for me has been to hit my power button. I wasn't sure if it was related to this crash or where to report it as a bug. It seems to happen after awhile of using my netbook. Not necessarily after a crash that i am aware of.

Michael Lazarev (milaz) wrote :

It happened to me when I was typing the text into a chat window in Gmail.
I used ordinary Firefox 7.0.1 shipped with Oneric.
So, Compiz crashed. After I rebooted, I tried using that chat again, and Compiz again crashed.

I don't have tried compiz - 1:0.9.6+bzr20110929-0ubuntu3 yet.
I'll see if this bug goes away with it.

Paolo Stivanin (polslinux) wrote :

also with unity 4.22 + compiz update ad the 5th of october

ValeryK (valerykononenko) wrote :

at the 6th of october I,m install all updates, and compiz was also. I'm open "onboard" with firefox: compiz freez at all .I'm restart computer, then I open software center: compiz freez, then crush and restart.

Also seems to happen a lot w netbeans opening/closing.
On Oct 5, 2011 7:07 PM, "ValeryK" <email address hidden> wrote:
> at the 6th of october I,m install all updates, and compiz was also. I'm
> open "onboard" with firefox: compiz freez at all .I'm restart computer,
> then I open software center: compiz freez, then crush and restart.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (868539).
> https://bugs.launchpad.net/bugs/857738
>
> Title:
> compiz crashed with SIGABRT in raise()
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/compiz/+bug/857738/+subscriptions

jan2ary (jan2ary) wrote :

Still reproduces for me, just tried to minimize firefox's window.

$ apt-cache policy compiz
compiz:
  Installed: 1:0.9.6+bzr20110929-0ubuntu3
  Candidate: 1:0.9.6+bzr20110929-0ubuntu3
  Version table:
 *** 1:0.9.6+bzr20110929-0ubuntu3 0
        500 http://archive.ubuntu.com/ubuntu/ oneiric/main amd64 Packages
        100 /var/lib/dpkg/status

Eyad Salah (eyad-salah) wrote :

It just happened to me when there was nothing running. Right clicked on the desktop, and got this error

Alexander Tankeev (atankeev) wrote :

Just got this crash on fully updated system (unity 4.22.0-0ubuntu2, compiz 1:0.9.6+bzr20110929-0ubuntu3)

Matthijs ten Kate (igadget) wrote :

I just got this crash when de-maximizing a new Chromium window. I wasn't sure which bug report to subscribe to, because this bug seems to have a lot of duplicates / similar reports:
#820013, #852383 and #821312 for example.

z3z (z3z) wrote :

Installed a bunch of updates yesterday, logged in this morning, launched Firefox & this error came up.

Francis Earl (francis-earl) wrote :

Same as for others, after updates, I have been away from the machine for a while and upon login and trying to load the terminal Compiz has crashed and respawned... has happened a couple times, not just with the current updates. I would guess it is a problem with Nvidia not with Compiz itself but I'm going to leave this here to see if anything comes of it.

Matthijs ten Kate (igadget) wrote :

Just got this crash again under the exact same circumstances:
1. Resume from suspend
2. Do CTRL+N on a running Chromium session
3. De-maximize the newly opened window
4. Compiz crashes.

The stupid part is that this doesn't seem to be happening *every time* (sometimes openening a new window and then de-maximizing it doesn't crash compiz).
I'm running Unity 4.22.0 ubuntu2 (upgrading as we speak to 4.22.0 ubuntu3), but this bug wasn't mentioned in the change log so I guess it's still present...

Changed in compiz-core:
status: Fix Committed → Fix Released
Changed in compiz:
status: Fix Committed → Fix Released
Will Cooke (willcooke) on 2015-09-14
no longer affects: unity (Ubuntu)
Changed in unity (Ubuntu):
status: New → Fix Released
assignee: nobody → Sam Spilsbury (smspillaz)
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu laptop testing tracker.

A list of all reports related to this bug can be found here:
http://laptop.qa.ubuntu.com/qatracker/reports/bugs/857738

tags: added: laptop-testing

again Ubuntu 16.10 64 bit
also this seems to only happen after log in.
it also is related to my NViDiA GEFORCE m930 Graphics card driver

Laptop specs:
8 Gigabyte RAM
1 terabyte HDD
problem related to NIVIDIA GPU

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers